package com.proyecto.libroinmersiones;

public class CentroBuceo{
	   private String nombre;
	    private String direccion;
	    private GeoPunto posicion;
	    private TipoCentroBuceo tipo;
	    private String foto;
	    private int telefono;
	    private String url;
	    private String comentario;
	    private long fecha;
	    private float valoracion;
	   
	    public CentroBuceo(String nombre, String direccion, double longitud,
	            double latitud, TipoCentroBuceo tipo, int telefono, String url, String comentario,
	            int valoracion) {
	    	
	            fecha = System.currentTimeMillis();
	            posicion = new GeoPunto(longitud, latitud);
	            
	            this.tipo = tipo;
	            this.nombre = nombre;
	            this.direccion = direccion;
	            this.telefono = telefono;
	            this.url = url;
	            this.comentario = comentario;
	            this.valoracion = valoracion;
	    }

	    public CentroBuceo() {
	        fecha = System.currentTimeMillis();
	        posicion = new GeoPunto(0, 0);
	        tipo = TipoCentroBuceo.OTROS;
	    }
	    
	    public GeoPunto getPosicion() {
	    	return posicion;
	    }
	    public void setPosicion(GeoPunto posicion){
	    	this.posicion = posicion;
	    }
		public String getNombre() {
			return nombre;
		}

		public void setNombre(String nombre) {
			this.nombre = nombre;
		}

		public String getDireccion() {
			return direccion;
		}

		public void setDireccion(String direccion) {
			this.direccion = direccion;
		}

		public int getTelefono() {
			return telefono;
		}

		public void setTelefono(int telefono) {
			this.telefono = telefono;
		}

		public String getUrl() {
			return url;
		}

		public void setUrl(String url) {
			this.url = url;
		}
		
		public String getFoto() {
			return foto;
		}

		public void setFoto(String foto) {
			this.foto = foto;
		}
		public String getComentario() {
			return comentario;
		}

		public void setComentario(String comentario) {
			this.comentario = comentario;
		}
		
		public long getFecha() {
			return fecha;
		}

		public void setFecha(long fecha) {
			this.fecha = fecha;
		}

		public float getValoracion() {
			return valoracion;
		}

		public void setValoracion(float valoracion) {
			this.valoracion = valoracion;
		}
		
		public TipoCentroBuceo getTipo() {
		       return tipo;
		}
		 
		public void setTipo(TipoCentroBuceo tipo) {
		       this.tipo = tipo;
		}

		@Override
		public String toString() {
			return "Lugar [nombre=" + nombre + ", direccion=" + direccion
					+ ", posicion=" + posicion + ", tipo=" + tipo + ", foto="
					+ foto + ", telefono=" + telefono + ", url=" + url
					+ ", comentario=" + comentario + ", fecha=" + fecha
					+ ", valoracion=" + valoracion + "]";
		}

}
