package com.proyecto.libroinmersiones;

public enum TipoCentroBuceo {
	SITIO ("Punto Inmersion", R.drawable.naturaleza),
	HOTEL ("Hotel", R.drawable.hotel),
	PUERTO ("Puerto", R.drawable.gasolinera),
	CURSO ("Puerto", R.drawable.educacion),
	    PLAYA ("Playa", R.drawable.deporte),
	    OTROS ("Otros", R.drawable.otros);

	private final String texto; 
	private final int recurso;  

	TipoCentroBuceo(String texto, int recurso) {
	this.texto = texto;
	this.recurso = recurso;
	}

	public String getTexto() { return texto; }
	public int getRecurso() { return recurso; }   

	public static String[] getNombres() {
		   String[] resultado = new String[TipoCentroBuceo.values().length];
		   for (TipoCentroBuceo tipo : TipoCentroBuceo.values()) {
		      resultado[tipo.ordinal()] = tipo.texto;
		   }
		   return resultado;
		}
	public static String[] getSitio() {
		   String[] resultado = new String[1];
		   
		      resultado[0] = SITIO.texto;
		   
		   return resultado ;
		}
}